# Class CIM_CalculationServiceForDropper
extends CIM_ServiceServiceDependency

This association is a subclass of ServiceServiceDependency, and represents the reliance of a REDDropperService on one or more DropThresholdCalculationServices. The latter calculate average queue depth, based on the observed depths of a queue. The specific queue examined by each CalculationService is defined using the CalculationBasedOnQueue association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProvidesServiceToElement
|
+--CIM_ServiceServiceDependency
|
+--CIM_CalculationServiceForDropper

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association is a subclass of ServiceServiceDependency, and represents the reliance of a REDDropperService on one or more DropThresholdCalculationServices. The latter calculate average queue depth, based on the observed depths of a queue. The specific queue examined by each CalculationService is defined using the CalculationBasedOnQueue association.
UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_CalculationServiceForDropper | CIM_DropThresholdCalculationService
Dependent | CIM_CalculationServiceForDropper | CIM_REDDropperService

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
RestartService | boolean | CIM_ServiceServiceDependency
TypeOfDependency | uint16 | CIM_ServiceServiceDependency

## Class Methods